<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>ir.co.dpq.seen</groupId>
	<artifactId>seen-retrofit</artifactId>
	<version>${seen-retrofit.version}</version>
	<packaging>pom</packaging>
	<name>Seen REST client</name>
	<modules>
		<module>seen-retrofit-core</module>
		<module>seen-retrofit-user</module>
		<module>seen-retrofit-notification</module>
		<module>seen-retrofit-cms</module>
		<module>seen-retrofit-monitor</module>
	</modules>

	<properties>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>

		<seen-retrofit.version>1.0.1</seen-retrofit.version>
	</properties>

	<distributionManagement>
		<repository>
			<id>SeenMavenRepo.write</id>
			<url>${SeenMavenRepo.write.url}</url>
		</repository>
		<snapshotRepository>
			<id>SeenMavenRepo.write</id>
			<url>${SeenMavenRepo.write.url}</url>
		</snapshotRepository>
	</distributionManagement>

	<repositories>
		<repository>
			<id>Seen-Maven-Repo</id>
			<url>https://mymavenrepo.com/repo/JayeaEMLm2LFsHP53lnX/</url>
		</repository>
	</repositories>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>ir.co.dpq.seen</groupId>
				<artifactId>seen-retrofit-bom</artifactId>
				<version>${seen-retrofit.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson</groupId>
				<artifactId>jackson-bom</artifactId>
				<version>2.8.5</version>
				<scope>import</scope>
				<type>pom</type>
			</dependency>

			<dependency>
				<groupId>com.squareup.retrofit2</groupId>
				<artifactId>retrofit</artifactId>
				<version>2.3.0</version>
			</dependency>

			<!-- Test -->
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.12</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
</project>